Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class MuleConfigurationService

    java.lang.Object
      org.mule.module.management.mbean.MuleConfigurationService

All Implemented Interfaces:
  MuleConfigurationServiceMBean

    public class MuleConfigurationService

extends Object
implements MuleConfigurationServiceMBean

`MuleConfigurationService` exposes the MuleConfiguration settings as a management service TODO MULE-3110 I'm not sure this is relevant anymore since the MuleConfiguration should be immutable after startup.

Constructor Summary
`MuleConfigurationService(MuleConfiguration muleConfiguration)`

Method Summary
`String` | `getEncoding()`
`int` | `getShutdownTimeout()`
`int` | `getSynchronousEventTimeout()`
`int` | `getTransactionTimeout()`
`String` | `getWorkingDirectory()`
`boolean` | `isClientMode()`
`boolean` | `isSynchronous()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleConfigurationService

    public MuleConfigurationService(MuleConfiguration muleConfiguration)

Method Detail

### isSynchronous

    public boolean isSynchronous()

  Specified by:
    `isSynchronous` in interface `MuleConfigurationServiceMBean`

### getSynchronousEventTimeout

    public int getSynchronousEventTimeout()

  Specified by:
    `getSynchronousEventTimeout` in interface `MuleConfigurationServiceMBean`

### getWorkingDirectory

    public String getWorkingDirectory()

  Specified by:
    `getWorkingDirectory` in interface `MuleConfigurationServiceMBean`

### getTransactionTimeout

    public int getTransactionTimeout()

  Specified by:
    `getTransactionTimeout` in interface `MuleConfigurationServiceMBean`

### getShutdownTimeout

    public int getShutdownTimeout()

  Specified by:
    `getShutdownTimeout` in interface `MuleConfigurationServiceMBean`

### isClientMode

    public boolean isClientMode()

### getEncoding

    public String getEncoding()

  Specified by:
    `getEncoding` in interface `MuleConfigurationServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.